require 'spec_helper'

describe GlobalizeTranslationSuggestionsController do

  render_views
  let(:page) { Capybara::Node::Simple.new(@response.body) }

  context "Feedback" do

    describe "GET :feedback" do
      before do
        get :feedback, :locale => 'pt'
      end

      it "returns a array with translations" do
        assigns(:translations).should be_a(Array)
      end
    end

    describe "POST :send_feedback" do
      let(:suggestion) { Factory(:i18n_suggestion) }

      before do
        @globalize_translation = suggestion.globalize_translation
        post :send_feedback, :globalize_translation_id => @globalize_translation.id, :body => 'Some suggestion'
      end

      it { should respond_with(:success) }

      it "should add votes to a suggestion" do
        globalize_suggestion = GlobalizeTranslationSuggestion.where(:value => 'Some suggestion').first
        post :send_feedback, :globalize_translation_id => @globalize_translation.id, :body => 'Some suggestion'

        globalize_suggestion.reload.votes.should == 2
      end

      it "should add votes to a suggestion by passing the suggestion id" do
        globalize_suggestion = GlobalizeTranslationSuggestion.where(:value => 'Some suggestion').first

        post :send_feedback, :globalize_translation_id => @globalize_translation.id, :globalize_translation_suggestion_id => globalize_suggestion.id
        globalize_suggestion.reload.votes.should == 2
      end
    end
  end
end