require 'spec_helper'

describe ExvoGlobalize do

  let(:i18n_header) { Factory(:i18n_header) }

  context "locale fallbacks" do

    before { I18n.locale = :pt }

    it "has set a different locale than the default one" do
      I18n.locale.should_not be_eql(I18n.default_locale)
    end

    it "uses translation from the GlobalizeStore backend" do
      i18n_header.value.should eql(I18n.translate(:header))
    end

    it "uses translation from the Simple backend if it is not found in the GlobalizeTranslation backend" do
      I18n.backend.simple.translate(I18n.default_locale, :name).should eql(I18n.translate(:name))
    end

    it "returns a translation_missing error with default_locale for a non-existing key in :pt locale" do
      I18n.t(:missing_key).should match(%r(translation missing.+#{I18n.default_locale}.+missing_key))
    end

    after { I18n.locale = I18n.default_locale }

  end

end
