# encoding: utf-8
require 'spec_helper'

describe GlobalizeTranslationSuggestion do

  let(:i18n_suggestion) { Factory(:i18n_suggestion) }

  it "has a votes count" do
    i18n_suggestion.votes.should eql(1)
  end

  it "should have a text" do
    suggestion = GlobalizeTranslationSuggestion.new(:globalize_translation => i18n_suggestion.globalize_translation)
    suggestion.valid?.should be_false
    suggestion.errors[:value].should eql(["can't be blank"])
  end

  it "should overwrite the parent translation when the number of votes is bigger than 'ExvoGlobalize.feedback_votes_count' which defaults to 40" do
    i18n_suggestion.update_attributes(:votes => 40)
    i18n_suggestion.globalize_translation.reload.value.should eql("Isto é um titulo")
  end

  it "should overwrite the parent translation by setting the required number of votes" do
    ExvoGlobalize.feedback_votes_count = 10
    i18n_suggestion.update_attributes(:votes => 11)
    i18n_suggestion.globalize_translation.reload.value.should eql("Isto é um titulo")
  end
end